<?php
/**
 * Project infos plugin for ViewGit.
 *
 * This add project infos on summary page.
 *
 * @author Benjamin Renard <brenard@easter-eggs.com>
 */
class ProjectInfosPlugin extends VGPlugin
{
	function __construct() {
		$this->register_hook('summary');
	}

	function hook_summary() {
		global $page;
		$page['project_infos']=get_project_info($page['project']);
		if (isset($conf['projects'][$project]['url'])) {
			if (is_array($conf['projects'][$project]['url'])) {
				$page['project_infos']['url']=array($conf['projects'][$project]['url']);
			}
			else {
				$page['project_infos']['url']=$conf['projects'][$project]['url'];
			}
		}
		$this->display_plugin_template('summary', FALSE);
	}

	function hook($type) {
		global $conf;

		if ($type == 'summary') {
			$this -> hook_summary();
		}
	}
}
